# Class DefaultSublayerExtensionFactory

Default implementation of mapping/support/SublayerExtensionFactory!SublayerExtensionFactory that creates built-in API sublayer extension types.

#### Implements

- SublayerExtensionFactory

#####
Index

### Constructors

constructor

### Properties

instance

### Methods

create

##
Constructors

### `Protected` constructor

- new DefaultSublayerExtensionFactory(): DefaultSublayerExtensionFactory

- #### Returns DefaultSublayerExtensionFactory

##
Properties

### `Static` instance

instance: DefaultSublayerExtensionFactory = ...

Singleton instance of this type.

##
Methods

### create

- create(properties, defaultSublayerType?): SublayerExtension<SublayerExtensionProperties>

- Creates a mapping/_SublayerExtension!SublayerExtension from the given properties.

  #### Parameters

  - properties: SublayerExtensionProperties

    The SublayerExtension properties.

  - `Optional` defaultSublayerType: string

    Optionally specify the sublayerType to be created. (i.e. we are creating a child sublayer from a parent).

  #### Returns SublayerExtension<SublayerExtensionProperties>

  Implementation of SublayerExtensionFactory.create